# GetCommunicationCertificate

Retrieve a single communication certificate.

`GET /companies/{companyId}/communication-certificates/{certificateId}`

**API:** AvaTax API
**Tag:** CommunicationCertificates
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/CommunicationCertificates/GetCommunicationCertificate/

## Description

### Security Policies

* This API depends on the following active services:*Required* (all):  ECMPremiumComms, ECMProComms.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The ID number of the company to search |
| `certificateId` | integer | path | Yes | The ID number of the certificate to search |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `CommunicationCertificateResponse` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

### 200 Response: `CommunicationCertificateResponse`

Encloses communication certificate details

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | No | Certificate Id |
| `effectiveDate` | string | No | Certificate effective date |
| `expirationDate` | string | No | Certificate expiration date |
| `exemptionReason` | string | No | Certificate exemption reason |
| `exemptionRegion` | string | No | Certificate exemption region |
| `taxNumber` | string | No | Certificate tax number |
| `certificateStatus` | string | No | Certificate status |
| `customers` | CommunicationCustomerResponse[] | No | Customers which have this certificate |
| `exemptions` | CommunicationTaxTypeResponse[] | No | Tax details of this certificate |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/companies/{companyId}/communication-certificates/{certificateId}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```